<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="description" content="">

  <link rel="stylesheet" href="./styles/bootstrap.min.css" />
  <link rel="stylesheet" href="./styles/appStyles.css" />

  <script src="./scripts/jquery.min.js"></script>
  <script type="module" src="./scripts/client.js"></script>

  <title>Tasks App</title>
</head>

<body class="bg-light">
  <main>
    <div class="container">
      <div class="py-2 text-center">
        <!-- padding 3 on y-axis (top+bottom) -->
        <h2>Tasks App</h2>
        <p class="lead">...organize them!</p>
      </div>
      <div class="row g-5">

        <div class="col-md-8 col-lg-9">

          <h4 class="mb-3 text-primary">New task</h4>
          <form class="needs-validation" novalidate action="javascript:void(0);">
            <div class="row g-3">
              <div class="col-sm-8">
                <label for="subject" class="form-label">Subject</label>
                <input type="text" class="form-control" id="subject" placeholder="" value="" required>
                <div class="invalid-feedback">
                  No task without a subject...
                </div>
              </div>

              <div class="col-sm-4">
                <label for="tag" class="form-label">Tags <span class="text-muted">(Optional)</span></label>
                <input type="text" class="form-control" id="tag" placeholder="" value="">
                <div class="invalid-feedback">
                  Valid tag
                </div>
              </div>

              <div class="col-md-3">
                <label for="priority" class="form-label">Priority <span class="text-muted">(Optional)</span></label>
                <select class="form-select" id="priority" required>
                  <option value="">Choose...</option>
                  <option>High</option>
                  <option>Medium</option>
                  <option>Low</option>
                </select>
                <div class="invalid-feedback">
                  Please select a valid priority.
                </div>
              </div>
              <div class="col-md-5">
                <label for="color" class="form-label">Color <span class="text-muted">(Optional)</span></label>
                <select class="form-select" id="color" required>
                  <option value="">Choose...</option>
                  <option value="#ff0000">Red</option>
                  <option value="#00ff00">Blue</option>
                  <option value="#0000ff">Green</option>
                </select>
                <div class="invalid-feedback">
                  Please select a valid color.
                </div>
              </div>
              <div class="col-md-4">
                <label for="deadline" class="form-label">Deadline <span class="text-muted">(Optional)</span></label>
                <input type="date" class="form-select" id="deadline" required>
                <div class="invalid-feedback">
                  Please input a valid deadline.
                </div>
              </div>
              <div class="col-md-12 mt-3"><button class="w-100 btn btn-primary btn-lg" id="btnAddTask">Add Task</button>
              </div>

            </div>
          </form>
        </div>
      </div>

      <div class="row g-5">
        <div class="col-md-8 col-lg-9 order-md-last">
          <h4 class="d-flex justify-content-between align-items-center mt-5 mb-3">
            <span class="text-primary">Current tasks</span>
            <span>
              <select class="form-select" id="preset" required>
                <option value="" >All tasks</option>
                <option value="priority=High">High prio tasks</option>
                <option value="color=%23ff0000">Red tasks</option>
              </select>
            </span>
            <span class="badge bg-primary rounded-pill" id="numTasks"></span>
          </h4>

          <div class="col-md-3">

            <div class="invalid-feedback">
              Please select a valid priority.
            </div>
          </div>

          <ul class="list-group mb-3" id="taskList">
          </ul>
          <div class="col-md-12 mt-3"><button class="w-100 btn btn-secondary btn-lg" id="btnReloadTasks">Reload</button>
          </div>

        </div>
      </div>
    </div>
  </main>
</body>

</html>
